M_ActivityKingCraftRecharge = {}

function M_ActivityKingCraftRecharge:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityKingCraftRecharge:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Desc = "累计充值6元", Condition = 6, ItemID = {1}, ItemCount = {100000}}
	self.datas[2] = {ID = 2, Desc = "累计充值30元", Condition = 30, ItemID = {291}, ItemCount = {20}}
	self.datas[3] = {ID = 3, Desc = "累计充值68元", Condition = 68, ItemID = {291}, ItemCount = {30}}
	self.datas[4] = {ID = 4, Desc = "累计充值168元", Condition = 168, ItemID = {291}, ItemCount = {80}}
	self.datas[5] = {ID = 5, Desc = "累计充值328元", Condition = 328, ItemID = {291}, ItemCount = {150}}
	self.datas[6] = {ID = 6, Desc = "累计充值648元", Condition = 648, ItemID = {291}, ItemCount = {300}}
	self.datas[7] = {ID = 7, Desc = "累计充值1000元", Condition = 1000, ItemID = {291}, ItemCount = {400}}
end

M_ActivityKingCraftRecharge:init()
